<?php
/*
Plugin Name: Neil-Plugin-Iphotocanvas
Plugin URI: http://iphotocanvas.com
Version: 1.0
Author: Sagar Bathla
Description: Dedicated to canvas
*/
function Neil_Style_Sheets(){
	wp_enqueue_style('Neil_Canvas_Style', plugin_dir_url(__FILE__).'style.css');
	wp_enqueue_style('Neil_Gallery_Frame_Style', plugin_dir_url(__FILE__).'css/style_gallery_preview.css');
	wp_enqueue_style('Neil_Story_Frame_Style', plugin_dir_url(__FILE__).'css/style_story_preview.css');
	wp_enqueue_style('Neil_Canvas_Style_Responsive', plugin_dir_url(__FILE__).'css/responsive_new.css');
	wp_enqueue_style('Neil_Bootstrap_Style', plugin_dir_url(__FILE__).'css/bootstrap.css');
	//wp_enqueue_style('Neil_Font_Awesome', plugin_dir_url(__FILE__).'css/font-awesome.css');
	wp_enqueue_style('Neil_Font_Awesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');
	wp_enqueue_script('Neil_jquery_custom', plugin_dir_url(__FILE__).'js/jquery-2.1.4.min.js',array(),'',false );
	wp_enqueue_script('Neil_Bootstrap_Jq', plugin_dir_url(__FILE__).'js/bootstrap.js',array(),'',false);
	wp_enqueue_script('Neil_float',plugin_dir_url(__FILE__).'js/floating-1.7.js', array(),'',false);
	wp_enqueue_script('Neil_Form_Script', plugin_dir_url(__FILE__).'js/jQueryform.js',array(),'',false);
	wp_enqueue_script('Neil_Photo_Editor', plugin_dir_url(__FILE__).'/js/feather.js',array(),'',false);
	wp_enqueue_script('Neil_Plugin_Script', plugin_dir_url(__FILE__).'js/product_pages.js',array(),'',false);
	
	if(is_page('gallery-wall') || is_page('story-canvas')){
    
            wp_enqueue_script('plugin', plugin_dir_url(__FILE__).'js/plugin.js',array(),'',false);    
            wp_enqueue_style('plugin_css', plugin_dir_url(__FILE__).'css/plugin.css',array(),'',false);    
        
        }
}
add_action('wp_enqueue_scripts', 'Neil_Style_Sheets'); 
function Neil_Canvas_Page(){
	global $wpdb;
?>
<style>
body{
	margin-right: 0px !important;
	padding-right: 0px !important;
}
.modal-backdrop {
	display:none;	
}
.modal-open {
	overflow: auto !important;
}
</style>
<section class="canvas-container" id="canvas_container">
<p class="main-head">1. Choose Your Layout <span style="font-size: 18px;">(Then upload your photos or art from Facebook, Instagram or your photo library)</span></p>
	<div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 canvas text-center" type="button" data-toggle="modal" data-target="#mymodal" id="#menu">
		<div class="canvas-content hover-1" style="cursor: pointer">
		<div class="img-div">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/single_super_final_grey.png" class="img-responsive super_split_img1">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/single_super_final_grey_s.png" class="img-responsive super_split_img2">
	    </div>
			<p class="canvas-head">Single Canvas</p>
			<p class="canvas-description">Create your masterpiece on a single canvas with many options to choose from.</p>
			<input type="button" class="btn btn-danger btn-block get_started" Value="Create Your Canvas">
		</div>
	</div>
	<div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 canvas text-center" type="button" data-toggle="modal" data-target="#mymodal1">
		<div class="canvas-content hover-2" style="cursor: pointer">
		<div class="img-div">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/split_super_final_grey.png" class="img-responsive super_split_img1">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/split_super_final_grey_s.png" class="img-responsive super_split_img2">
		</div>
			
			<p class="canvas-head">Canvas Split</p>
			<p class="canvas-description">Split your photo or art into two canvases creating a unique art piece.</p>
			<input type="button" class="btn btn-danger btn-block get_started" Value="Create Your Canvas">
		</div>
	</div>
	<div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 canvas text-center" type="button" data-toggle="modal" data-target="#mymodal2">
		<div class="canvas-content hover-3" style="cursor: pointer">
		<div class="img-div">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/gallery_super_gray1.png" class="img-responsive super_split_img1">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/gallery_super_color.png" class="img-responsive super_split_img2">
		</div>
			<p class="canvas-head">Gallery Wall</p>
			<p class="canvas-description">Create a gallery wall with up to 10 individual canvases.<br><br></p>
			<input type="button" class="btn btn-danger btn-block get_started" Value="Create Your Canvas">
		</div>
	</div>
	<div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 canvas text-center" type="button" data-toggle="modal" data-target="#mymodal3">
		<div class="canvas-content hover-4" style="cursor: pointer">
		<div class="img-div">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/mosaic_super_final_s.png" class="img-responsive super_split_img1">
			<img src="<?php echo plugin_dir_url(__FILE__) ?>img/mosaic_super_final.png" class="img-responsive super_split_img2">
	    </div>
			<p class="canvas-head">Story Canvas</p>
			<p class="canvas-description">Multiple photos on one canvas creating a story of your unforgetable memories.</p>
			<input type="button" class="btn btn-danger btn-block get_started" Value="Create Your Canvas">
		</div>
	</div>
	<div class="clearfix"></div>
</section>
<?php
}
function Neil_Canvas_Shortcodes(){
	add_shortcode('iphoto', 'Neil_Canvas_Page');
	include 'Neil-Single-Canvas.php';
	add_shortcode('single', 'Neil_Single_Canvas_Page');
	include 'Neil-Single-Canvas-Preview.php';
	add_shortcode('single_preview', 'Neil_Single_Canvas_Preview_Page');
	include 'Neil-Split-Canvas.php';
	add_shortcode('split', 'Neil_Split_Canvas_Page');
	include 'Neil-Split-Canvas-Preview.php';
	add_shortcode('split_preview', 'Neil_Split_Canvas_Preview_Page');
	include 'Neil-Gallery-Wall.php';
	add_shortcode('gallery_wall', 'Neil_Gallery_Wall_Page');
	include 'Neil-Story-Canvas.php';
	add_shortcode('story_canvas', 'Neil_Story_Canvas_Page');
	include 'Neil-Help.php';
	add_shortcode('help', 'Neil_Help_Section');
	include 'Neil-Price-Page.php';
	add_shortcode('price', 'Neil_Price_Page');
	include 'Neil-Gallery-Wall-Preview.php';
	add_shortcode('gallery_preview', 'Neil_Gallery_Wall_Preview_Page');
	include 'Neil-Story-Canvas-Preview.php';
	add_shortcode('story_preview', 'Neil_Story_Canvas_Preview_Page');
//	include 'Neil-Single-Canvas-Instagram.php';
//	add_shortcode('single_insta', 'Neil_Single_Canvas_Instagram_Page');
//	include 'Neil-Single-Canvas-Instagram-Preview.php';
//	add_shortcode('single_insta_preview', 'Neil_Single_Canvas_Instagram_Preview_Page');
//	include 'Neil-Split-Canvas-Instagram.php';
//	add_shortcode('split_insta', 'Neil_Split_Canvas_Instagram_Page');
//	include 'Neil-Split-Canvas-Instagram-Preview.php';
//	add_shortcode('split_insta_preview', 'Neil_Split_Canvas_Instagram_Preview_Page');
//	include 'Neil-Gallery-Wall-Instagram.php';
//	add_shortcode('gallery_wall_insta', 'Neil_Gallery_Wall_Instagram_Page');
//	include 'Neil-Gallery-Wall-Instagram-Preview.php';
//	add_shortcode('gallery_wall_insta_preview', 'Neil_Gallery_Wall_Instagram_Preview_Page');
//	include 'Neil-Story-Canvas-Instagram.php';
//	add_shortcode('story_canvas_insta', 'Neil_Story_Canvas_Instagram_Page');
//	include 'Neil-Story-Canvas-Instagram-Preview.php';
//	add_shortcode('story_canvas_insta_preview', 'Neil_Story_Canvas_Instagram_Preview_Page');
//	include 'Neil-Single-Canvas-Facebook.php';
//	add_shortcode('single_facebook', 'Neil_Single_Canvas_Facebook_Page');
//	include 'Neil-Single-Canvas-Facebook-Preview.php';
//	add_shortcode('single_facebook_preview', 'Neil_Single_Canvas_Facebook_Preview_Page');
//	include 'Neil-Split-Canvas-Facebook.php';
//	add_shortcode('split_facebook', 'Neil_Split_Canvas_Facebook_Page');
//	include 'Neil-Split-Canvas-Facebook-Preview.php';
//	add_shortcode('split_facebook_preview', 'Neil_Split_Canvas_Facebook_Preview_Page');
//	include 'Neil-Gallery-Wall-Facebook.php';
//	add_shortcode('gallery_wall_facebook', 'Neil_Gallery_Wall_Facebook_Page');
//	include 'Neil-Gallery-Wall-Facebook-Preview.php';
//	add_shortcode('gallery_wall_facebook_preview', 'Neil_Gallery_Wall_Facebook_Preview_Page');
//	include 'Neil-Story-Canvas-Facebook.php';
//	add_shortcode('story_facebook', 'Neil_Story_Canvas_Facebook_Page');
//	include 'Neil-Story-Canvas-Facebook-Preview.php';
//	add_shortcode('story_facebook_preview', 'Neil_Story_Canvas_Facebook_Preview_Page');
        
//       anuj sortcode
        include 'Neil-Facebook-Login.php';
        add_shortcode('facebooklogin', 'Neil_Facebook_Login');
        include 'Facebooklogin-galler-story.php';
        add_shortcode('Facebooklogin', 'Facebooklogin');
        
        include 'Neil-instagram-Login.php';
        add_shortcode('instagram_login', 'instagramlogin');
	include 'Neil-instagram-thumb.php';
        add_shortcode('instagram_thumb', 'instagramthumb');

}
add_action('init', 'Neil_Canvas_Shortcodes');
add_action('wp_ajax_facbookimages','facbookimages');
add_action('wp_ajax_nopriv_facbookimages','facbookimages');



//add_action('wp_ajax_facebooktoken','facebooktoken');
//  add_action('wp_ajax_nopriv_facebooktoken','facebooktoken');
//  
//  function facebooktoken(){
//    require_once('facebook/src/Facebook/autoload.php');
//      
//$fb = new Facebook\Facebook([
//  'app_id' => '{app-id}',
//  'app_secret' => '{app-secret}',
//  'default_graph_version' => 'v2.2',
//  ]);
//
//$helper = $fb->getJavaScriptHelper();
//
//try {
//  $accessToken = $helper->getAccessToken();
//} catch(Facebook\Exceptions\FacebookResponseException $e) {
//  // When Graph returns an error
//  echo 'Graph returned an error: ' . $e->getMessage();
//  exit;
//} catch(Facebook\Exceptions\FacebookSDKException $e) {
//  // When validation fails or other local issues
//  echo 'Facebook SDK returned an error: ' . $e->getMessage();
//  exit;
//}
//
//if (! isset($accessToken)) {
//  echo 'No cookie set or no OAuth data could be obtained from cookie.';
//  exit;
//}
//
//$_SESSION['fb_access_token'] = (string) $accessToken;
//      
//  die(0);    
//}//facebook token run;
  
//  function facebook_login(){
	  
//	  require_once('facebook/src/Facebook/autoload.php');
//	  include 'Neil-Facebook-Login.php';
//	  add_shortcode('facebook-login', 'Neil_Facebook_Login');
//  }
//  add_action('init', 'facebook_login');
//  function instagram_login()
//  {
//	  include 'Neil-Instagram-Login.php';
//	  
//	  add_shortcode('instagram-login', 'Neil_Instagram_Login');
//  }
//  add_action('init', 'instagram_login');

//function facbookimages(){
//    require_once('facebook/src/Facebook/autoload.php');
//    
//    if (isset($accessToken)) {
//	// getting all photos of user
//	try {
//		$photos_request = $fb->get('/me/photos?limit=100&type=uploaded');
//		$photos = $photos_request->getGraphEdge();
//	} catch(Facebook\Exceptions\FacebookResponseException $e) {
//		// When Graph returns an error
//		echo 'Graph returned an error: ' . $e->getMessage();
//		exit;
//	} catch(Facebook\Exceptions\FacebookSDKException $e) {
//		// When validation fails or other local issues
//		echo 'Facebook SDK returned an error: ' . $e->getMessage();
//		exit;
//	}
//	$all_photos = array();
//	if ($fb->next($photos)) {
//		$photos_array = $photos->asArray();
//		$all_photos = array_merge($photos_array, $all_photos);
//		while ($photos = $fb->next($photos)) {
//			$photos_array = $photos->asArray();
//			$all_photos = array_merge($photos_array, $all_photos);
//		}
//	} else {
//		$photos_array = $photos->asArray();
//		$all_photos = array_merge($photos_array, $all_photos);
//	}
//	$i = 0;
//        $data  = array();
//	foreach ($all_photos as $key) {
//		$photo_request = $fb->get('/'.$key['id'].'?fields=images');
//		$photo = $photo_request->getGraphNode()->asArray();
//		//print_r($photo);
//		$data[$i++] = $photo['images'][0]['source'];
//		$i++;
//	}
//        wp_send_json($data);
//  	// Now you can redirect to another page and use the access token from $_SESSION['facebook_access_token']
//    } else {
//            $helper = $fb->getRedirectLoginHelper();
//            $loginUrl = $helper->getLoginUrl('http://iphotocanvas.com/facebook/');
//            echo '<a href="'.$loginUrl.'"><img src="'.directory_url.'/facebook/images/FACEBOOK.png" class="col-lg-6 col-md-6 col-sm-6 col-xs-6 col-lg-offset-3 col-xs-offset-3 col-md-offset-3 col-sm-offset-3"></a>';
//            //echo "<script>window.top.location.href='".$loginUrl."'</script>";
//    }
//    
//}
?>